xgboost

Public Member Functions | List of all members
xgboost::common::Index Struct Reference

Optionally compressed gradient index. The compression works only with dense data. More...

`#include <hist_util.h>`

Collaboration diagram for xgboost::common::Index:

## Public Member Functions
| Index ()
| Index (const Index &i)=delete
Index & | operator= (Index i)=delete
| Index (Index &&i)=delete
Index & | operator= (Index &&i)=delete
uint32_t | operator[] (size_t i) const
void | SetBinTypeSize (BinTypeSize binTypeSize)
BinTypeSize | GetBinTypeSize () const
template<typename T >
T const * | data () const
template<typename T >
T * | data ()
uint32_t const * | Offset () const
size_t | OffsetSize () const
size_t | Size () const
void | Resize (const size_t n_bytes)
void | SetBinOffset (std::vector< uint32_t > const &cut_ptrs)
std::vector< uint8_t >::const_iterator | begin () const
std::vector< uint8_t >::const_iterator | end () const
std::vector< uint8_t >::iterator | begin ()
std::vector< uint8_t >::iterator | end ()

## Detailed Description

Optionally compressed gradient index. The compression works only with dense data.

The main body of construction code is in gradient_index.cc, this struct is only a storage class.

## Constructor & Destructor Documentation

## ◆ Index() [1/3]

xgboost::common::Index::Index | ( |  | ) |
| inline

## ◆ Index() [2/3]

xgboost::common::Index::Index | ( | const Index & | i | ) |
| delete

## ◆ Index() [3/3]

xgboost::common::Index::Index | ( | Index && | i | ) |
| delete

## Member Function Documentation

## ◆ begin() [1/2]

std::vector<uint8_t>::iterator xgboost::common::Index::begin | ( |  | ) |
| inline

## ◆ begin() [2/2]

std::vector<uint8_t>::const_iterator xgboost::common::Index::begin | ( |  | ) | const
| inline

## ◆ data() [1/2]

template<typename T >

T* xgboost::common::Index::data | ( |  | ) |
| inline

## ◆ data() [2/2]

template<typename T >

T const* xgboost::common::Index::data | ( |  | ) | const
| inline

## ◆ end() [1/2]

std::vector<uint8_t>::iterator xgboost::common::Index::end | ( |  | ) |
| inline

## ◆ end() [2/2]

std::vector<uint8_t>::const_iterator xgboost::common::Index::end | ( |  | ) | const
| inline

## ◆ GetBinTypeSize()

BinTypeSize xgboost::common::Index::GetBinTypeSize | ( |  | ) | const
| inline

## ◆ Offset()

uint32_t const* xgboost::common::Index::Offset | ( |  | ) | const
| inline

## ◆ OffsetSize()

size_t xgboost::common::Index::OffsetSize | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

Index& xgboost::common::Index::operator= | ( | Index && | i | ) |
| delete

## ◆ operator=() [2/2]

Index& xgboost::common::Index::operator= | ( | Index | i | ) |
| delete

## ◆ operator[]()

uint32_t xgboost::common::Index::operator[] | ( | size_t | i | ) | const
| inline

## ◆ Resize()

void xgboost::common::Index::Resize | ( | const size_t | n_bytes | ) |
| inline

## ◆ SetBinOffset()

void xgboost::common::Index::SetBinOffset | ( | std::vector< uint32_t > const & | cut_ptrs | ) |
| inline

## ◆ SetBinTypeSize()

void xgboost::common::Index::SetBinTypeSize | ( | BinTypeSize | binTypeSize | ) |
| inline

## ◆ Size()

size_t xgboost::common::Index::Size | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/hist_util.h